<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:h="http://java.sun.com/jsf/html" xmlns:rich="http://richfaces.org/rich"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm">
            <h1>Missing Assertions</h1>
            <gri:panel>
                <f:facet name="header">Missing assertions</f:facet>
                <h:outputText
                        value="To view the list of constraints that are not related to any assertion, you have to select your package and click on 'look for missing assertions' button."/>
                <s:decorate template="/layout/edit.xhtml">
                    <ui:define name="label">Packages</ui:define>
                    <rich:pickList converter="packageConverter" value="#{adminAssertionManager.listSelectedPackageForMissingAssertions}"
                                   sourceListWidth="250px" targetListWidth="250px">
                        <s:selectItems value="#{adminAssertionManager.getPossiblePackages()}" var="currenp" label="#{currenp.name}"/>
                    </rich:pickList>
                </s:decorate>
                <a4j:commandButton styleClass="gzl-btn-blue" value="Look for missing assertions"
                                   actionListener="#{adminAssertionManager.listConstraintWithNoAssertions()}" render="messageDecoration,datatabcons"/>
                <br/>
                <s:div id="datatabcons">
                    <rich:dataTable id="consTabl" rendered="#{adminAssertionManager.listConstraintWithNoAssertions != null}"
                                    rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                                    value="#{adminAssertionManager.listConstraintWithNoAssertions}" var="currentCons" render="ds">
                        <ns0:column xmlns:ns0="http://www.ihe.net/gazelle" name="idColumn" filterBy="#{'name'}" filterEvent="onkeyup"
                                    sortBy="#{'name'}" sortOrder="descending">
                            <ui:define name="header">name</ui:define>
                            <h:outputLink
                                    value="../constraints/constraintDescriptor.seam?name=#{currentCons.name}&amp;pack=#{currentCons.classType.mbPackage.name}&amp;class=#{currentCons.classType.name}"
                                    target="_blank">
                                <h:outputText value="#{currentCons.name}" style="font-style: italic;"/>
                            </h:outputLink>
                        </ns0:column>
                        <ns1:column xmlns:ns1="http://www.ihe.net/gazelle" filterBy="#{'classType.name'}" filterEvent="onkeyup"
                                    sortBy="#{'classType.name'}" sortOrder="descending">
                            <ui:define name="header">validation class</ui:define>
                            <h:outputLink
                                    value="../classes/classDescriptor.seam?name=#{currentCons.classType.name}&amp;pack=#{currentCons.classType.mbPackage.name}"
                                    target="_blank">
                                <h:outputText value="#{currentCons.classType.name}" style="font-style: italic;"/>
                            </h:outputLink>
                        </ns1:column>
                        <ns2:column xmlns:ns2="http://www.ihe.net/gazelle" filterBy="#{'classType.mbPackage.name'}" filterEvent="onkeyup"
                                    sortBy="#{'classType.mbPackage.name'}" sortOrder="descending">
                            <ui:define name="header">package / norm</ui:define>
                            <h:outputText value="#{currentCons.classType.mbPackage.name}"/>
                        </ns2:column>
                        <ns3:column xmlns:ns3="http://www.ihe.net/gazelle" filterBy="#{'description'}" filterEvent="onkeyup">
                            <ui:define name="header">description</ui:define>
                            <h:outputText value="#{viewConsManager.trunkate(currentCons.description)}"/>
                        </ns3:column>
                        <f:facet name="footer">
                            <s:div style="text-align: center;">
                                <rich:dataScroller id="ds" maxPages="10" renderIfSinglePage="false" immediate="true"/>
                            </s:div>
                        </f:facet>
                    </rich:dataTable>
                </s:div>
            </gri:panel>
        </h:form>
    </ui:define>
</ui:composition>
